package com.ruoyi.powerdistribution.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.powerdistribution.mapper.PdmScoreRankCompanyMapper;
import com.ruoyi.powerdistribution.domain.PdmScoreRankCompany;
import com.ruoyi.powerdistribution.service.IPdmScoreRankCompanyService;

/**
 * 单位积分排名Service业务层处理
 *
 * @author ruoyi
 * @date 2024-12-09
 */
@Service
public class PdmScoreRankCompanyServiceImpl implements IPdmScoreRankCompanyService
{
    @Autowired
    private PdmScoreRankCompanyMapper pdmScoreRankCompanyMapper;

    /**
     * 查询单位积分排名
     *
     * @param id 单位积分排名主键
     * @return 单位积分排名
     */
    @Override
    public PdmScoreRankCompany selectPdmScoreRankCompanyById(Long id)
    {
        return pdmScoreRankCompanyMapper.selectPdmScoreRankCompanyById(id);
    }

    /**
     * 查询单位积分排名列表
     *
     * @param pdmScoreRankCompany 单位积分排名
     * @return 单位积分排名
     */
    @Override
    public List<PdmScoreRankCompany> selectPdmScoreRankCompanyList(PdmScoreRankCompany pdmScoreRankCompany)
    {
        return pdmScoreRankCompanyMapper.selectPdmScoreRankCompanyList(pdmScoreRankCompany);
    }

    /**
     * 新增单位积分排名
     *
     * @param pdmScoreRankCompany 单位积分排名
     * @return 结果
     */
    @Override
    public int insertPdmScoreRankCompany(PdmScoreRankCompany pdmScoreRankCompany)
    {
        pdmScoreRankCompany.setCreateTime(DateUtils.getNowDate());
        return pdmScoreRankCompanyMapper.insertPdmScoreRankCompany(pdmScoreRankCompany);
    }

    /**
     * 修改单位积分排名
     *
     * @param pdmScoreRankCompany 单位积分排名
     * @return 结果
     */
    @Override
    public int updatePdmScoreRankCompany(PdmScoreRankCompany pdmScoreRankCompany)
    {
        pdmScoreRankCompany.setUpdateTime(DateUtils.getNowDate());
        return pdmScoreRankCompanyMapper.updatePdmScoreRankCompany(pdmScoreRankCompany);
    }

    /**
     * 批量删除单位积分排名
     *
     * @param ids 需要删除的单位积分排名主键
     * @return 结果
     */
    @Override
    public int deletePdmScoreRankCompanyByIds(Long[] ids)
    {
        return pdmScoreRankCompanyMapper.deletePdmScoreRankCompanyByIds(ids);
    }

    /**
     * 删除单位积分排名信息
     *
     * @param id 单位积分排名主键
     * @return 结果
     */
    @Override
    public int deletePdmScoreRankCompanyById(Long id)
    {
        return pdmScoreRankCompanyMapper.deletePdmScoreRankCompanyById(id);
    }
}
